MPD: Data Fields - Functions

MPD 0.20.18

### - s -

- Save() : SimpleDatabase
- Scan() : FlacMetadataChain
- ScanFile() : DecoderPlugin
- ScanStream() : DecoderPlugin
- Schedule() : DeferredMonitor , IdleMonitor , SocketMonitor , TimeoutMonitor
- ScheduleRead() : SocketMonitor
- ScheduleWrite() : SocketMonitor
- ScopeBulkEdit() : ScopeBulkEdit
- ScopeDatabaseLock() : ScopeDatabaseLock
- ScopeDatabaseUnlock() : ScopeDatabaseUnlock
- ScopeExitGuard() : ScopeExitGuard< F >
- ScopeUnlock() : ScopeUnlock
- search() : ContentDirectoryService
- Seek() : AsyncInputStream , DecoderControl , FileDescriptor , FileReader , FlacInput , InputStream , OggDecoder , ProxyInputStream
- SeekCurrent() : Partition , playlist
- SeekDone() : AsyncInputStream
- SeekError() : DecoderBridge , DecoderClient
- SeekGranulePos() : OggDecoder
- SeekSongId() : Partition , playlist
- SeekSongOrder() : playlist
- SeekSongPosition() : Partition , playlist
- SendHeader() : HttpdOutput
- SendResponse() : HttpdClient
- SendTag() : AudioOutputWrapper< T > , Encoder , HttpdOutput
- ServerSocket() : ServerSocket
- Set() : FileDescriptor , FilterObserver , Java::GlobalRef< T > , Java::TrivialRef< T >
- SetAll() : RangeArg
- SetBlocking() : FileDescriptor
- SetBuffer() : ForeignFifoBuffer< T >
- SetCharacterDataHandler() : ExpatParser
- SetClosed() : AsyncInputStream
- SetCommand() : Response
- SetConsume() : Partition , playlist
- SetCrossFade() : PlayerControl
- SetDuration() : TagBuilder
- SetElementHandler() : ExpatParser
- SetEmpty() : StringView
- SetEnd() : MixRampInfo
- SetEndTime() : DetachedSong
- SetError() : PlayerControl
- SetExpired() : Client
- SetHasPlaylist() : TagBuilder
- SetLastModified() : DetachedSong
- SetMimeType() : InputStream , ThreadInputStream
- SetMixRamp() : DecoderControl
- SetMixRampDb() : PlayerControl
- SetMixRampDelay() : PlayerControl
- SetNonBlocking() : FileDescriptor
- SetNull() : AllocatedPath , ForeignFifoBuffer< T > , Path
- SetOption() : CurlEasy , CurlMulti , CurlRequest
- SetOutputError() : PlayerControl
- SetPermission() : Client
- SetPlayState() : SLES::Play
- SetPriority() : Queue
- SetPriorityId() : Partition , playlist
- SetPriorityRange() : Partition , playlist , Queue
- SetRandom() : Partition , playlist
- SetReady() : DecoderControl , InputStream
- SetRealURI() : DetachedSong
- SetRepeat() : Partition , playlist
- SetReplayGainMode() : AudioOutput , AudioOutputSource , MultipleOutputs , Partition
- SetSingle() : Partition , playlist
- SetSize() : AllocatedArray< T > , StaticSocketAddress
- SetSoftwareVolume() : MultipleOutputs
- SetSongIdRange() : playlist
- SetStart() : MixRampInfo
- SetStartTime() : DetachedSong
- SetTag() : AsyncInputStream , DetachedSong
- setTerminateAndWait() : WorkQueue< T >
- SetUndefined() : FileDescriptor
- Setup() : AudioOutput
- SetURI() : DetachedSong
- SetVolume() : Mixer , MultipleOutputs , PcmVolume
- shift() : ConstBuffer< T >
- Shift() : ForeignFifoBuffer< T > , MusicPipe , StaticFifoBuffer< T, size >
- shift() : WritableBuffer< T >
- Shuffle() : Partition , playlist
- ShuffleOrder() : Queue
- ShuffleOrderFirst() : Queue
- ShuffleOrderLastWithPriority() : Queue
- ShuffleOrderRange() : Queue
- ShuffleOrderRangeWithPriority() : Queue
- ShuffleRange() : Queue
- Shutdown() : Instance
- Signal() : DecoderControl , notify , PlayerControl
- signal() : PosixCond , WindowsCond
- SignalFD() : SignalFD
- SignedSongTime() : SignedSongTime
- size() : AllocatedArray< T >
- Size() : MultipleOutputs , SocketSet
- Skip() : DecoderBuffer , FileDescriptor , FileReader , InputStream , OpusReader
- skip_front() : ConstBuffer< T > , WritableBuffer< T >
- SkipString() : OpusReader
- SliceBuffer() : SliceBuffer< T >
- SocketAction() : CurlGlobal
- SocketAddress() : SocketAddress
- SocketErrorMessage() : SocketErrorMessage
- SocketMonitor() : SocketMonitor
- SocketSet() : SocketSet
- Song() : Song
- SongBorder() : MultipleOutputs
- SongFilter() : SongFilter
- SongLoader() : SongLoader
- SongStarted() : playlist
- SongTime() : SongTime
- Sort() : Directory
- SqliteError() : SqliteError
- StaleSong() : Partition , playlist
- Start() : BlockingNfsOperation , CurlRequest , DecoderControl , IcyMetaDataParser , Thread , ThreadInputStream , Timer , UPnPDeviceDirectory
- start() : WorkQueue< T >
- StartElement() : CommonExpatParser
- StartsWith() : StringView
- StartThread() : AudioOutput
- Stat() : NfsConnection
- StateFile() : StateFile
- StaticFifoBuffer() : StaticFifoBuffer< T, size >
- StaticSocketAddress() : StaticSocketAddress
- StdioOutputStream() : StdioOutputStream
- Steal() : AllocatedPath , AllocatedString< T > , FileDescriptor , SocketMonitor
- StealInputStream() : TextInputStream
- Stop() : CurlRequest , DecoderControl , Partition , playlist
- StopThread() : AudioOutput
- Storage() : Storage
- StorageDirectoryReader() : StorageDirectoryReader
- StreamDecode() : DecoderPlugin
- String() : Java::String
- StringPointer() : StringPointer< T >
- StringView() : StringView
- Strip() : StringView
- StripLeft() : StringView
- StripRight() : StringView
- SubmitData() : DecoderBridge , DecoderClient
- SubmitMixRamp() : DecoderBridge , DecoderClient
- SubmitReplayGain() : DecoderBridge , DecoderClient
- SubmitTag() : DecoderBridge , DecoderClient
- SubmitTimestamp() : DecoderBridge , DecoderClient
- Subscribe() : Client
- SupportsMimeType() : DecoderPlugin
- SupportsSuffix() : DecoderPlugin
- Swap() : ForeignFifoBuffer< T >
- SwapIds() : Partition , playlist
- SwapOrders() : Queue
- SwapPositions() : Partition , playlist , Queue
- SyncWithPlayer() : Partition , playlist